<?php
require("global.php");
if($_POST){
	if (is_file("./filterwords.txt")){			//判断给定文件名是否为一个正常的文件
	    $filter_word = file("./filterwords.txt");		//把整个文件读入一个数组中
		$str=$_POST['content'];
		for($i=0;$i<count($filter_word);$i++){			//应用For循环语句对敏感词进行判断
		   if(preg_match("/".trim($filter_word[$i])."/i",$str)){		//应用正则表达式，判断传递的留言信息中是否含有敏感词
			  echo "<script> alert('留言信息中包含敏感词！');history.back(-1);</script>";
			  exit;
			}
		}
	}
	$content =$_POST['content'];
	$user_name = $_POST['user_name'];
	$title = $_POST['title'];
	$mood=$_POST['mood'];
	$head = $_POST['head'].".gif";
	$note_flag=$_POST['checkbox'];
	if($note_flag!=1){$note_flag=0;}
	$datetime=date("Y-m-d H:i:s");
	$sql = "insert into tb_note (note_user,note_title,note_content,note_mood,note_time,note_user_pic,note_flag) values('".$user_name."','".$title."','".$content."','".$mood."','".$datetime."','".$head."','".$note_flag."')";
	$DB->query($sql);
	$url = "./index.php";
	redirect_once($url);
}	
?>